TestInstalledDevStudioLinker (cpptasks 1.0b5 Test API)
Keywords: net.sf.antcontrib.cpptasks.devstudio.TestInstalledDevStudioLinker class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.antcontrib.cpptasks.devstudio
Class TestInstalledDevStudioLinker

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              net.sf.antcontrib.cpptasks.compiler.TestAbstractProcessor
                  net.sf.antcontrib.cpptasks.compiler.TestAbstractLinker
                      net.sf.antcontrib.cpptasks.devstudio.TestDevStudioLinker
                          net.sf.antcontrib.cpptasks.devstudio.TestInstalledDevStudioLinker

All Implemented Interfaces:
  junit.framework.Test

    public class TestInstalledDevStudioLinker

extends TestDevStudioLinker

Test for Microsoft Developer Studio linker Override create to test concrete compiler implementions

Constructor Summary
`TestInstalledDevStudioLinker(java.lang.String name)`

Method Summary
`void` | `testGetLibraryPath()`

Methods inherited from class net.sf.antcontrib.cpptasks.devstudio.TestDevStudioLinker
`create, testGetIdentfier`

Methods inherited from class net.sf.antcontrib.cpptasks.compiler.TestAbstractLinker
`testBid`

Methods inherited from class junit.framework.TestCase
`countTestCases, createResult, getName, run, run, runBare, runTest, setName, setUp, tearDown, toString`

Methods inherited from class junit.framework.Assert
`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TestInstalledDevStudioLinker

    public TestInstalledDevStudioLinker(java.lang.String name)

Method Detail

### testGetLibraryPath

    public void testGetLibraryPath()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2008 Ant-Contrib Project. All Rights Reserved.